Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.dgmimpl
Class NumberNumberDiv

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.NumberNumberDiv

All Implemented Interfaces:
  Cloneable

    public final class NumberNumberDiv
    extends NumberNumberMetaMethod

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
`NumberNumberMetaMethod.NumberNumberCallSite`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes
`isVargsMethod, nativeParamTypes, parameterTypes`

Constructor Summary
Constructor and Description
`NumberNumberDiv()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
`static Number` | `div(Number left, Number right)` Divide two Numbers.
`String` | `getName()`
`Object` | `invoke(Object object, Object[] arguments)`

Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
`getDeclaringClass, getModifiers, getReturnType`

Methods inherited from class groovy.lang.MetaMethod
`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes
`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumberNumberDiv

    public NumberNumberDiv()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `MetaMethod`

### invoke

    public Object invoke(Object object,
                         Object[] arguments)

  Specified by:
    `invoke` in class `MetaMethod`

### div

    public static Number div(Number left,
                             Number right)

  Divide two Numbers. Note: Method name different from 'divide' to avoid collision with BigInteger method that has different semantics. We want a BigDecimal result rather than a BigInteger.

  Parameters:
    `left` - a Number
    `right` - another Number
  Returns:
    a Number resulting of the divide operation

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site,
                                       MetaClassImpl metaClass,
                                       MetaMethod metaMethod,
                                       Class[] params,
                                       Object receiver,
                                       Object[] args)

  Specified by:
    `createPojoCallSite` in class `CallSiteAwareMetaMethod`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD